Ad Unit Native Style
Replace the NativeStyle mapped to an ad unit + format.
PUT
/
api
/
manager
/
ad-unit-native-styles
/
{ad_unit_id}
/
{format_id}
Replace the NativeStyle mapped to an ad unit + format.
curl --request PUT \
--url https://your_a2_service/api/manager/ad-unit-native-styles/{ad_unit_id}/{format_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"style_id": "<style_id>"
}
'import requests
url = "https://your_a2_service/api/manager/ad-unit-native-styles/{ad_unit_id}/{format_id}"
payload = { "style_id": "<style_id>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({style_id: '<style_id>'})
};
fetch('https://your_a2_service/api/manager/ad-unit-native-styles/{ad_unit_id}/{format_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ad_unit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"format_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"style_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"no": 123
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Bearer authentication. Pass the access token in the Authorization: Bearer <token> header.
Body
application/json
Request body for PUT /ad-unit-native-styles/{ad_unit_id}/{format_id}.
NativeStyle to replace the current mapping with.
Response
Successful Response
Response schema for AdUnitNativeStyle mutation/read operations.
AdUnit this mapping applies to.
NativeFormat for which this style is selected (part of composite PK).
NativeStyle to use when rendering this format on this AdUnit.
Was this page helpful?
⌘I
Replace the NativeStyle mapped to an ad unit + format.
